OGRE: Ogre::DefaultSceneFormatListener Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::DefaultSceneFormatListener Class Reference
Core | Component » Scene

Default implementation that prevents a SceneNode from being exported if the only attached objects. More...

`#include <OgreSceneFormatBase.h>`

Inheritance diagram for Ogre::DefaultSceneFormatListener:
[legend]

## Public Member Functions
| DefaultSceneFormatListener ()
virtual bool | exportDecal (const Decal *decal)
virtual bool | exportEntity (const v1::Entity *entity)
virtual bool | exportItem (const Item *item)
virtual bool | exportLight (const Light *light)
virtual bool | exportMesh (const Mesh *mesh)
virtual bool | exportMesh (const v1::Mesh *mesh)
virtual bool | exportSceneNode (const SceneNode *sceneNode)
virtual void | savingChangeTextureName (String &inOutAliasName, String &inOutTexName)
| Gives you a chance to completely change the name of the texture when saving a material. More...
virtual void | savingChangeTextureNameOitd (String &inOutFilename, TextureGpu *texture)
virtual void | savingChangeTextureNameOriginal (const String &aliasName, String &inOutResourceName, String &inOutFilename)
| Gives you a chance to completely change the name of the texture when saving a material. More...
virtual void | setSceneFlags (uint32 sceneFlags, SceneFormatBase *parent)

## Detailed Description

Default implementation that prevents a SceneNode from being exported if the only attached objects.

## Constructor & Destructor Documentation

## ◆ DefaultSceneFormatListener()

Ogre::DefaultSceneFormatListener::DefaultSceneFormatListener | ( |  | ) |

## Member Function Documentation

## ◆ exportDecal()

virtual bool Ogre::SceneFormatListener::exportDecal | ( | const Decal * | decal | ) |
| inlinevirtualinherited

## ◆ exportEntity()

virtual bool Ogre::SceneFormatListener::exportEntity | ( | const v1::Entity * | entity | ) |
| inlinevirtualinherited

## ◆ exportItem()

virtual bool Ogre::DefaultSceneFormatListener::exportItem | ( | const Item * | item | ) |
| virtual

Reimplemented from Ogre::SceneFormatListener.

## ◆ exportLight()

virtual bool Ogre::SceneFormatListener::exportLight | ( | const Light * | light | ) |
| inlinevirtualinherited

## ◆ exportMesh() [1/2]

virtual bool Ogre::SceneFormatListener::exportMesh | ( | const Mesh * | mesh | ) |
| inlinevirtualinherited

## ◆ exportMesh() [2/2]

virtual bool Ogre::SceneFormatListener::exportMesh | ( | const v1::Mesh * | mesh | ) |
| inlinevirtualinherited

## ◆ exportSceneNode()

virtual bool Ogre::DefaultSceneFormatListener::exportSceneNode | ( | const SceneNode * | sceneNode | ) |
| virtual

Reimplemented from Ogre::SceneFormatListener.

## ◆ savingChangeTextureName()

virtual void Ogre::HlmsJsonListener::savingChangeTextureName | ( | String & | inOutAliasName,
|  | String & | inOutTexName
| ) |  |
| inlinevirtualinherited

Gives you a chance to completely change the name of the texture when saving a material.

## ◆ savingChangeTextureNameOitd()

virtual void Ogre::HlmsTextureExportListener::savingChangeTextureNameOitd | ( | String & | inOutFilename,
|  | TextureGpu * | texture
| ) |  |
| inlinevirtualinherited

## ◆ savingChangeTextureNameOriginal()

virtual void Ogre::HlmsTextureExportListener::savingChangeTextureNameOriginal | ( | const String & | aliasName,
|  | String & | inOutResourceName,
|  | String & | inOutFilename
| ) |  |
| inlinevirtualinherited

Gives you a chance to completely change the name of the texture when saving a material.

## ◆ setSceneFlags()

virtual void Ogre::DefaultSceneFormatListener::setSceneFlags | ( | uint32 | sceneFlags,
|  | SceneFormatBase * | parent
| ) |  |
| virtual

Reimplemented from Ogre::SceneFormatListener.

The documentation for this class was generated from the following file:

- OgreSceneFormatBase.h